# Uses of Interface
jspecview.api.JSVTreeNode

Packages that use JSVTreeNode
Package
Description
jspecview.api
jspecview.application
jspecview.common
jspecview.tree

## Uses of JSVTreeNode in jspecview.api

Methods in jspecview.api that return JSVTreeNode
Modifier and Type
Method
Description
`JSVTreeNode`
JSVTree.`createTree(int fileCount, JDXSource source, JSVPanel[] jsvPanels)`
`JSVTreeNode`
JSVTree.`getRootNode()`
Method parameters in jspecview.api with type arguments of type JSVTreeNode
Modifier and Type
Method
Description
`void`
JSVTree.`deleteNodes(Lst<JSVTreeNode> toDelete)`

## Uses of JSVTreeNode in jspecview.application

Classes in jspecview.application that implement JSVTreeNode
Modifier and Type
Class
Description
`class`
`AwtTreeNode`
Methods in jspecview.application that return JSVTreeNode
Modifier and Type
Method
Description
`JSVTreeNode`
AwtTree.`createTree(int fileCount, JDXSource source, JSVPanel[] panels)`
`JSVTreeNode`
AwtTree.`getRootNode()`
Method parameters in jspecview.application with type arguments of type JSVTreeNode
Modifier and Type
Method
Description
`void`
AwtTree.`deleteNodes(Lst<JSVTreeNode> toDelete)`

## Uses of JSVTreeNode in jspecview.common

Fields in jspecview.common declared as JSVTreeNode
Modifier and Type
Field
Description
`JSVTreeNode`
PanelNode.`treeNode`
Methods in jspecview.common with parameters of type JSVTreeNode
Modifier and Type
Method
Description
`void`
JSViewer.`selectedTreeNode(JSVTreeNode node)`
`void`
PanelNode.`setTreeNode(JSVTreeNode node)`

## Uses of JSVTreeNode in jspecview.tree

Classes in jspecview.tree that implement JSVTreeNode
Modifier and Type
Class
Description
`class`
`SimpleTreeNode`
Classes in jspecview.tree that implement interfaces with type arguments of type JSVTreeNode
Modifier and Type
Class
Description
`class`
`SimpleTreeEnumeration`
Methods in jspecview.tree that return JSVTreeNode
Modifier and Type
Method
Description
`JSVTreeNode`
SimpleTree.`createTree(int fileCount, JDXSource source, JSVPanel[] panels)`
`JSVTreeNode`
SimpleTree.`getRootNode()`
`JSVTreeNode`
SimpleTreeEnumeration.`nextElement()`
Methods in jspecview.tree that return types with arguments of type JSVTreeNode
Modifier and Type
Method
Description
`Enumeration<JSVTreeNode>`
SimpleTreeNode.`children()`
Methods in jspecview.tree with parameters of type JSVTreeNode
Modifier and Type
Method
Description
`void`
SimpleTreeModel.`insertNodeInto(JSVTreeNode fileNode, JSVTreeNode rootNode, int i)`
`void`
SimpleTreeModel.`removeNodeFromParent(JSVTreeNode node)`
Method parameters in jspecview.tree with type arguments of type JSVTreeNode
Modifier and Type
Method
Description
`void`
SimpleTree.`deleteNodes(Lst<JSVTreeNode> toDelete)`
Constructors in jspecview.tree with parameters of type JSVTreeNode
Modifier
Constructor
Description
``
`SimpleTreeModel(JSVTreeNode rootNode)`